Package be.fgov.ehealth.certra.core.v2

# Class RevocationContractType

java.lang.Object
be.fgov.ehealth.certra.core.v2.RevocationContractType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:10:04+02:00", comments="JAXB RI v4.0.5") public class RevocationContractType extends Object implements Serializable
Digital contract that describes the terms and conditions that apply when revoking an existing eHealth certificate. The contract also contains the details of the person that will be signing it with his eID.

Java class for RevocationContractType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="RevocationContractType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="DN" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="Signer" type="{urn:be:fgov:ehealth:commons:core:v2}ActorType"/>
             <element name="RevocationReason" type="{urn:be:fgov:ehealth:certra:core:v2}RevocationReasonType"/>
             <element name="Text" type="{urn:be:fgov:ehealth:certra:core:v2}TextType"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RevocationContractType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDN()`
  Distinguished name of the certificate for which this revocation contract has been created.
  `RevocationReasonType`
  `getRevocationReason()`
  The reason the user entered for revoking the certificate.
  `ActorType`
  `getSigner()`
  Identification information of the person that must sign the revocation contract.
  `TextType`
  `getText()`
  The text of the revocation contract to which the user is agreeing.
  `void`
  `setDN(String value)`
  Sets the value of the dn property.
  `void`
  `setRevocationReason(RevocationReasonType value)`
  Sets the value of the revocationReason property.
  `void`
  `setSigner(ActorType value)`
  Sets the value of the signer property.
  `void`
  `setText(TextType value)`
  Sets the value of the text property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RevocationContractType

    public RevocationContractType()

- ## Method Details

  - ### getDN

    public String getDN()
    Distinguished name of the certificate for which this revocation contract has been created.
    Returns:
      possible object is `String`

  - ### setDN

    public void setDN(String value)
    Sets the value of the dn property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getDN()`

  - ### getSigner

    public ActorType getSigner()
    Identification information of the person that must sign the revocation contract. ETEE will validate that the details of this party match those of the eID that signed the revocation request.
    Returns:
      possible object is `ActorType`

  - ### setSigner

    public void setSigner(ActorType value)
    Sets the value of the signer property.
    Parameters:
      `value` - allowed object is `ActorType`
    See Also:
      - `getSigner()`

  - ### getRevocationReason

    public RevocationReasonType getRevocationReason()
    The reason the user entered for revoking the certificate.
    Returns:
      possible object is `RevocationReasonType`

  - ### setRevocationReason

    public void setRevocationReason(RevocationReasonType value)
    Sets the value of the revocationReason property.
    Parameters:
      `value` - allowed object is `RevocationReasonType`
    See Also:
      - `getRevocationReason()`

  - ### getText

    public TextType getText()
    The text of the revocation contract to which the user is agreeing. The text is an HTML5 document that must be presented to the user signing the revocation request.
    Returns:
      possible object is `TextType`

  - ### setText

    public void setText(TextType value)
    Sets the value of the text property.
    Parameters:
      `value` - allowed object is `TextType`
    See Also:
      - `getText()`